searchNodes=[{"ref":"ADS1015.html","title":"ADS1015","type":"module","doc":"Functions to interact with an ADS1015 analog-to-digital chip"},{"ref":"ADS1015.html#config/2","title":"ADS1015.config/2","type":"function","doc":"Read the current configuration from the device"},{"ref":"ADS1015.html#custom_read/3","title":"ADS1015.custom_read/3","type":"function","doc":"Ask for a reading of an analog signal with customizable comparison parameters. This will write the configuration register, then wait for the reading to be ready and read it back. Make sure to set performing_conversion: false and mode: :single_shot so that the chip will know we are waiting for a reading. ADS1015 uses 16bit register but it has a 12bit value."},{"ref":"ADS1015.html#read/4","title":"ADS1015.read/4","type":"function","doc":"Ask for a reading for one of the analog signals with default settings"},{"ref":"ADS1015.html#set_config/3","title":"ADS1015.set_config/3","type":"function","doc":"Set the configuration on the device"},{"ref":"ADS1015.Config.html","title":"ADS1015.Config","type":"module","doc":"A struct representing the configuration of an ADS1015 chip. This module handles decoding the 2-byte binary representation of the register into a struct and also encoding a struct back into the 2-byte binary representation. For details about what the various configuration options mean, please see the datasheet."},{"ref":"ADS1015.Config.html#decode/1","title":"ADS1015.Config.decode/1","type":"function","doc":""},{"ref":"ADS1015.Config.html#encode/1","title":"ADS1015.Config.encode/1","type":"function","doc":""},{"ref":"ADS1015.Config.html#t:comp_mode/0","title":"ADS1015.Config.comp_mode/0","type":"type","doc":""},{"ref":"ADS1015.Config.html#t:comp_polarity/0","title":"ADS1015.Config.comp_polarity/0","type":"type","doc":""},{"ref":"ADS1015.Config.html#t:comp_queue/0","title":"ADS1015.Config.comp_queue/0","type":"type","doc":""},{"ref":"ADS1015.Config.html#t:comparison/0","title":"ADS1015.Config.comparison/0","type":"type","doc":""},{"ref":"ADS1015.Config.html#t:data_rate/0","title":"ADS1015.Config.data_rate/0","type":"type","doc":""},{"ref":"ADS1015.Config.html#t:gain/0","title":"ADS1015.Config.gain/0","type":"type","doc":""},{"ref":"ADS1015.Config.html#t:mode/0","title":"ADS1015.Config.mode/0","type":"type","doc":""},{"ref":"ADS1015.Config.html#t:t/0","title":"ADS1015.Config.t/0","type":"type","doc":""},{"ref":"ADS1115.html","title":"ADS1115","type":"module","doc":"Functions to interact with an ADS1115 analog-to-digital chip"},{"ref":"ADS1115.html#config/2","title":"ADS1115.config/2","type":"function","doc":"Read the current configuration from the device"},{"ref":"ADS1115.html#custom_read/3","title":"ADS1115.custom_read/3","type":"function","doc":"Ask for a reading of an analog signal with customizable comparison parameters. This will write the configuration register, then wait for the reading to be ready and read it back. Make sure to set performing_conversion: false and mode: :single_shot so that the chip will know we are waiting for a reading."},{"ref":"ADS1115.html#read/4","title":"ADS1115.read/4","type":"function","doc":"Ask for a reading for one of the analog signals with default settings"},{"ref":"ADS1115.html#set_config/3","title":"ADS1115.set_config/3","type":"function","doc":"Set the configuration on the device"},{"ref":"ADS1115.Config.html","title":"ADS1115.Config","type":"module","doc":"A struct representing the configuration of an ADS1115 chip. This module handles decoding the 2-byte binary representation of the register into a struct and also encoding a struct back into the 2-byte binary representation. For details about what the various configuration options mean, please see the datasheet."},{"ref":"ADS1115.Config.html#decode/1","title":"ADS1115.Config.decode/1","type":"function","doc":""},{"ref":"ADS1115.Config.html#encode/1","title":"ADS1115.Config.encode/1","type":"function","doc":""},{"ref":"ADS1115.Config.html#t:comp_mode/0","title":"ADS1115.Config.comp_mode/0","type":"type","doc":""},{"ref":"ADS1115.Config.html#t:comp_polarity/0","title":"ADS1115.Config.comp_polarity/0","type":"type","doc":""},{"ref":"ADS1115.Config.html#t:comp_queue/0","title":"ADS1115.Config.comp_queue/0","type":"type","doc":""},{"ref":"ADS1115.Config.html#t:comparison/0","title":"ADS1115.Config.comparison/0","type":"type","doc":""},{"ref":"ADS1115.Config.html#t:data_rate/0","title":"ADS1115.Config.data_rate/0","type":"type","doc":""},{"ref":"ADS1115.Config.html#t:gain/0","title":"ADS1115.Config.gain/0","type":"type","doc":""},{"ref":"ADS1115.Config.html#t:mode/0","title":"ADS1115.Config.mode/0","type":"type","doc":""},{"ref":"ADS1115.Config.html#t:t/0","title":"ADS1115.Config.t/0","type":"type","doc":""},{"ref":"readme.html","title":"ADS1115","type":"extras","doc":"ADS1115 An Elixir library for interacting with ADS1115 and ADS1015 analog-to-digital chips. Please see the datasheet for details."},{"ref":"readme.html#usage","title":"ADS1115 - Usage","type":"extras","doc":"I&#39;m using these chips to read moisture sensors. I wired the analog signal to AIN0 and I want to compare that to GND. For this use-case I can do the following: {:ok, ref} = I2C.open(&quot;i2c-1&quot;) addr = 72 # the default i2c address for my sensor {:ok, reading} = ADS1115.single_shot_read(ref, addr, {:ain0, :gnd}) # reading will be between -32,768 and 32,767 You can similarly use this library to interact with ADS1015 chips like this: {:ok, ref} = I2C.open(&quot;i2c-1&quot;) addr = 72 # the default i2c address for my sensor {:ok, reading} = ADS1015.single_shot_read(ref, addr, {:ain0, :gnd})"},{"ref":"readme.html#installation","title":"ADS1115 - Installation","type":"extras","doc":"If available in Hex, the package can be installed by adding ads1115 to your list of dependencies in mix.exs: def deps do [ {:ads1115, &quot;~&gt; 0.1&quot;} ] end Documentation can be generated with ExDoc and published on HexDocs. Once published, the docs can be found at https://hexdocs.pm/ads1115."}]